Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.simpleapi
Interface IGrid

All Superinterfaces:
  IDesignElement, IReportElement, IReportItem

    public interface IGrid

extends IReportItem

Represents a the design of a Grid in the scripting environment

Field Summary

Fields inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem
`constants`

Method Summary
`java.lang.String` | `getCaption()` Returns the caption text of this grid.
`java.lang.String` | `getCaptionKey()` Returns the resource key of the caption.
`int` | `getColumnCount()` Returns the number of columns in the Grid.
`java.lang.String` | `getSummary()` Gets the summary of this grid.
`void` | `setCaption(java.lang.String caption)` Sets the caption text of this grid.
`void` | `setCaptionKey(java.lang.String captionKey)` Sets the resource key of the caption.
`void` | `setSummary(java.lang.String summary)` Sets the summary of this grid.

Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem
`addDataBinding, addHideRule, addHighlightRule, getBookmark, getDataBinding, getDataBindings, getHeight, getHideRules, getHighlightRules, getTocExpression, getWidth, getX, getY, removeDataBinding, removeDataBindings, removeHideRule, removeHideRules, removeHighlightRule, removeHighlightRules, setBookmark, setCurrentView, setHeight, setHeight, setTocExpression, setWidth, setWidth, setX, setX, setY, setY`

Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportElement
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement
`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

Method Detail

### getColumnCount

    int getColumnCount()

  Returns the number of columns in the Grid. The number is defined as the sum of columns described in the "column" slot.

  Returns:
    the number of columns in the grid.

### getSummary

    java.lang.String getSummary()

  Gets the summary of this grid.

  Returns:
    the summary.

### setSummary

    void setSummary(java.lang.String summary)
                    throws SemanticException

  Sets the summary of this grid.

  Parameters:
    `summary` - the summary
  Throws:
    `SemanticException` - if this property is locked.

### getCaption

    java.lang.String getCaption()

  Returns the caption text of this grid.

  Returns:
    the caption text

### setCaption

    void setCaption(java.lang.String caption)
                    throws SemanticException

  Sets the caption text of this grid.

  Parameters:
    `caption` - the caption text
  Throws:
    `SemanticException` - if the property is locked.

### getCaptionKey

    java.lang.String getCaptionKey()

  Returns the resource key of the caption.

  Returns:
    the resource key of the caption

### setCaptionKey

    void setCaptionKey(java.lang.String captionKey)
                       throws SemanticException

  Sets the resource key of the caption.

  Parameters:
    `captionKey` - the resource key of the caption
  Throws:
    `SemanticException` - if the caption resource-key property is locked.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.